#include <iostream>
#include <strings.h>

#ifndef M_PI
    #define M_PI 3.14159265358979323846
#endif

#ifndef UTIL_H
#define UTIL_H

enum LogType {
    INFO,
    ERROR
};

class Util
{
private:

public:
    static void log(LogType type, std::string msg, std::string file, int line);
    static std::string generateUuid();
    static std::string logTypeToStr(LogType type);
};

#endif